CFBag Reference

## Detailed Description

## Data Structures

struct | CFBagCallBacks

## Typedefs

typedef const struct __CFBag * | CFBagRef
typedef void(* | CFBagApplierFunction) (const void *value, void *context)
typedef CFStringRef(* | CFBagCopyDescriptionCallBack) (const void *value)
typedef Boolean(* | CFBagEqualCallBack) (const void *value1, const void *value2)
typedef CFHashCode(* | CFBagHashCallBack) (const void *value)
typedef void(* | CFBagReleaseCallBack) (CFAllocatorRef alloc, const void *value)
typedef const void *(* | CFBagRetainCallBack) (CFAllocatorRef alloc, const void *value)

## Variables

const CFBagCallBacks | kCFCopyStringBagCallBacks
const CFBagCallBacks | kCFTypeBagCallBacks

## Creating a bag

CFBagRef | CFBagCreate (CFAllocatorRef alloc, const void **values, CFIndex numValues, const CFBagCallBacks *callBacks)
CFBagRef | CFBagCreateCopy (CFAllocatorRef alloc, CFBagRef bag)

## Examining a dictionary

Boolean | CFBagContainsValue (CFBagRef bag, const void *value)
CFIndex | CFBagGetCount (CFBagRef bag)
CFIndex | CFBagGetCountOfValue (CFBagRef bag, const void *value)
void | CFBagGetValues (CFBagRef bag, const void **values)
const void * | CFBagGetValue (CFBagRef bag, const void *value)
Boolean | CFBagGetValueIfPresent (CFBagRef bag, const void *candidate, const void **value)

## Applying a funcation to a dictionary

void | CFBagApplyFunction (CFBagRef bag, CFBagApplierFunction applier, void *context)

## Getting the CFBag type ID

CFTypeID | CFBagGetTypeID (void)

## Data Structure Documentation

## CFBagCallBacks

struct CFBagCallBacks